Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/RegisterFile/RegisterFile_Multi_Banked/SelfTest/Makefile
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/RegisterFile/RegisterFile_Multi_Banked/SelfTest/Makefile	(revision 10)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/RegisterFile/RegisterFile_Multi_Banked/SelfTest/Makefile	(revision 15)
@@ -8,5 +8,5 @@
 
 #-----[ Directory ]----------------------------------------
-DIR_MORPHEO			= ../../../..
+DIR_MORPHEO			= ../../../../..
 
 LIBRARY				= $(RegisterFile_Multi_Banked_LIBRARY)
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/RegisterFile/RegisterFile_Multi_Banked/SelfTest/include/test.h
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/RegisterFile/RegisterFile_Multi_Banked/SelfTest/include/test.h	(revision 10)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/RegisterFile/RegisterFile_Multi_Banked/SelfTest/include/test.h	(revision 15)
@@ -14,5 +14,5 @@
 #include <iostream>
 
-#include "Behavioural/Generic/RegisterFile_Multi_Banked/include/RegisterFile_Multi_Banked.h"
+#include "Behavioural/Generic/RegisterFile/RegisterFile_Multi_Banked/include/RegisterFile_Multi_Banked.h"
 
 using namespace std;
@@ -20,7 +20,7 @@
 using namespace morpheo::behavioural;
 using namespace morpheo::behavioural::generic;
-
-using namespace morpheo::behavioural::generic::registerfile_multi_banked;
+using namespace morpheo::behavioural::generic::registerfile;
+using namespace morpheo::behavioural::generic::registerfile::registerfile_multi_banked;
 
 void test    (string name,
-	      morpheo::behavioural::generic::registerfile_multi_banked::Parameters param);
+	      morpheo::behavioural::generic::registerfile::registerfile_multi_banked::Parameters param);
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/RegisterFile/RegisterFile_Multi_Banked/SelfTest/src/main.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/RegisterFile/RegisterFile_Multi_Banked/SelfTest/src/main.cpp	(revision 10)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/RegisterFile/RegisterFile_Multi_Banked/SelfTest/src/main.cpp	(revision 15)
@@ -6,5 +6,5 @@
  */
 
-#include "Behavioural/Generic/RegisterFile_Multi_Banked/SelfTest/include/test.h"
+#include "Behavioural/Generic/RegisterFile/RegisterFile_Multi_Banked/SelfTest/include/test.h"
 
 #define NB_PARAMS 5
@@ -46,9 +46,9 @@
   try 
     {
-      morpheo::behavioural::generic::registerfile_multi_banked::Parameters param (nb_port_read ,
-										  nb_port_write,
-										  nb_word      ,
-										  size_word    ,
-										  nb_bank      );
+      morpheo::behavioural::generic::registerfile::registerfile_multi_banked::Parameters param (nb_port_read ,
+												nb_port_write,
+												nb_word      ,
+												size_word    ,
+												nb_bank      );
       
       cout << param.print(1);
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/RegisterFile/RegisterFile_Multi_Banked/SelfTest/src/test.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/RegisterFile/RegisterFile_Multi_Banked/SelfTest/src/test.cpp	(revision 10)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/RegisterFile/RegisterFile_Multi_Banked/SelfTest/src/test.cpp	(revision 15)
@@ -9,9 +9,9 @@
 #define NB_ITERATION 1
 
-#include "Behavioural/Generic/RegisterFile_Multi_Banked/SelfTest/include/test.h"
+#include "Behavioural/Generic/RegisterFile/RegisterFile_Multi_Banked/SelfTest/include/test.h"
 #include "Include/Test.h"
 
 void test (string name,
-	   morpheo::behavioural::generic::registerfile_multi_banked::Parameters _param)
+	   morpheo::behavioural::generic::registerfile::registerfile_multi_banked::Parameters _param)
 {
   cout << "<" << name << "> : Simulation SystemC" << endl;
